Bug 182132 - update multimedia/cx88 to 1.4.9
Summary: update multimedia/cx88 to 1.4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-15 22:30 UTC by jason.harmening
Modified: 2013-09-17 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.95 KB, patch)
2013-09-15 22:30 UTC, jason.harmening
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jason.harmening 2013-09-15 22:30:02 UTC
--Fix build on recent HEAD:
   --Add missing includes
   --Remove GNU C++ extensions from capture app
--Minor interrupt handling cleanup for MPEG and audio

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-09-16 22:37:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-09-17 17:18:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-09-17 17:18:54 UTC
Author: wg
Date: Tue Sep 17 16:18:47 2013
New Revision: 327483
URL: http://svnweb.freebsd.org/changeset/ports/327483

Log:
  multimedia/cx88: update to 1.4.9
  
  - Update to 1.4.9 [1]
  - Convert lib depends to new format
  
  PR:		ports/182132
  Submitted by:	Jason Harmening <jason.harmening gmail.com> (maintainer)

Modified:
  head/multimedia/cx88/Makefile
  head/multimedia/cx88/distinfo

Modified: head/multimedia/cx88/Makefile
==============================================================================
--- head/multimedia/cx88/Makefile	Tue Sep 17 16:12:05 2013	(r327482)
+++ head/multimedia/cx88/Makefile	Tue Sep 17 16:18:47 2013	(r327483)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	cx88
-PORTVERSION=	1.4.8
+PORTVERSION=	1.4.9
 CATEGORIES=	multimedia kld
 MASTER_SITES=	ftp://corona.homeunix.net/ports/cx88/
 
@@ -34,11 +34,11 @@ MAKE_ARGS+=	DIAGNOSTIC=0x7f
 .endif
 
 .if ${PORT_OPTIONS:MLINUX_COMPAT}
-LIB_DEPENDS+=	cuse4bsd:${PORTSDIR}/multimedia/cuse4bsd-kmod
+LIB_DEPENDS+=	libcuse4bsd.so:${PORTSDIR}/multimedia/cuse4bsd-kmod
 BUILD_DEPENDS+=	v4l_compat>=1.0.20100321:${PORTSDIR}/multimedia/v4l_compat
 MAKE_ARGS+=	-D WITH_LINUX_COMPAT
 .if ${PORT_OPTIONS:MHAL}
-LIB_DEPENDS+=	hal:${PORTSDIR}/sysutils/hal \
+LIB_DEPENDS+=	libhal.so:${PORTSDIR}/sysutils/hal \
 		dbus-1:${PORTSDIR}/devel/dbus
 MAKE_ARGS+=	-D WITH_HAL
 .endif

Modified: head/multimedia/cx88/distinfo
==============================================================================
--- head/multimedia/cx88/distinfo	Tue Sep 17 16:12:05 2013	(r327482)
+++ head/multimedia/cx88/distinfo	Tue Sep 17 16:18:47 2013	(r327483)
@@ -1,2 +1,2 @@
-SHA256 (cx88-1.4.8.tar.gz) = 94e2de501a242a8d1e1a1f360659df1d985ad442186311d8b6d87ef06ed5d818
-SIZE (cx88-1.4.8.tar.gz) = 191144
+SHA256 (cx88-1.4.9.tar.gz) = e05c90dea79a1ddc1f96e53e0839f0f57eef17b118d3d1304043d9b1771e7b86
+SIZE (cx88-1.4.9.tar.gz) = 191178
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"